org.optaplanner.core.impl.domain.common.accessor

## Interface MemberAccessor

- All Superinterfaces:
    AnnotatedElement
  All Known Implementing Classes:
    LambdaBeanPropertyMemberAccessor, ReflectionBeanPropertyMemberAccessor, ReflectionFieldMemberAccessor, ReflectionMethodMemberAccessor

      public interface MemberAccessor
      extends AnnotatedElement

  Fast and easy access to a `Member` of a bean, which is a property (with a getter and optional setter `Method`) or a `Field`.
  See Also:
    `ReflectionBeanPropertyMemberAccessor`, `ReflectionFieldMemberAccessor`, `ReflectionMethodMemberAccessor`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `executeGetter(Object bean)`
    `void` | `executeSetter(Object bean, Object value)`
    `Class<?>` | `getDeclaringClass()`
    `Type` | `getGenericType()` As defined by `Method.getGenericReturnType()` and `Field.getGenericType()`.
    `String` | `getName()`
    `String` | `getSpeedNote()`
    `Class<?>` | `getType()`
    `boolean` | `supportSetter()`

    - ### Methods inherited from interface java.lang.reflect.AnnotatedElement

      `getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

- - ### Method Detail

    - #### getDeclaringClass

          Class<?> getDeclaringClass()

    - #### getName

          String getName()

    - #### getType

          Class<?> getType()

    - #### getGenericType

          Type getGenericType()

      As defined by `Method.getGenericReturnType()` and `Field.getGenericType()`.
      Returns:
        never null

    - #### executeGetter

          Object executeGetter(Object bean)

    - #### supportSetter

          boolean supportSetter()

    - #### executeSetter

          void executeSetter(Object bean,
                             Object value)

    - #### getSpeedNote

          String getSpeedNote()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.